Runner.buttonEvents["api"] = function( pageObj, proxy, pageid ) {
	//register a new button
	pageObj.buttonNames[ pageObj.buttonNames.length ] = 'api';
	
	if ( !pageObj.buttonEventBefore['api'] ) {
		pageObj.buttonEventBefore['api'] = function( params, ctrl, pageObj, proxy, pageid, rowData, row, submit ) {		
			var ajax = ctrl;

		}
	}
	
	if ( !pageObj.buttonEventAfter['api'] ) {
		pageObj.buttonEventAfter['api'] = function( result, ctrl, pageObj, proxy, pageid, rowData, row, params ) {
			var ajax = ctrl;





var popup = Runner.displayPopup( {
  url: "biooooo_dashboard.php",
  width: 990,
  height: 720,
  header: 'BIOMETRICO'
});

		}
	}
	
	$('a[id="api"]').each( function() {
		if ( $(this).closest('.gridRowAdd').length ) {
			return;
		}
		
		this.id = "api" + "_" + Runner.genId();
		
		// create object
		var button_api = new Runner.form.Button({
			id: this.id ,
			btnName: "api"
		});
		
		// init
		button_api.init( {args: [ pageObj, proxy, pageid ]} );
	});
};

